ユーザー / プロフィール

予定を更新

PUT/users/me/schedules/:scheduleId

自分の予定を更新します。

認証要ログイン

パスパラメータ

scheduleIdstring必須

予定 ID。

リクエストボディ

startAtstring必須

開始日時(ISO 8601)。

endAtstring必須

終了日時(ISO 8601)。

descriptionstring任意

説明。

レスポンス

フィールド型説明
scheduleSchedule更新された予定。
リクエスト
curl https://api.4s.link/users/me/schedules/SCHEDULE_ID \
-X PUT \
-H "Authorization: Bearer 4s_at_..." \
-H "Content-Type: application/json" \
-d '{
"startAt": "2026-06-01T03:30:00.000Z",
"endAt": "2026-06-01T04:30:00.000Z"
}'
レスポンス例
{
"schedule": {
"id": "sc1a2b3c-...",
"startAt": "2026-06-01T03:30:00.000Z",
"endAt": "2026-06-01T04:30:00.000Z"
}
}